Bug Hunting Session
Bug 111337 - Introduce alternative workflows at the special characters dialog
Summary: Introduce alternative workflows at the special characters dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Akshay Deep
URL:
Whiteboard: target:6.0.0
Keywords: needsDevAdvice
Depends on:
Blocks: Special-Character
  Show dependency treegraph
 
Reported: 2017-08-04 10:47 UTC by Heiko Tietze
Modified: 2017-09-07 08:43 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2017-08-04 10:47:59 UTC
Double-clicking the table entry has no visual support like buttons. The user has to know that an interaction is possible. Quite common when trying new UIs is right clicking controls since no immediate action is expected but what is possible would be shown in a context menu. So we should add this context menu with 

Insert (double-click)
Add to favorites
Copy to clipboard

The copy function allows to use our dialog for other applications. E.g. when I want to insert the coptic char Ϥ in a browser.
Comment 1 V Stuart Foote 2017-08-04 14:09:06 UTC
And if you add this complexity, e.g. more than a double click to select glyph to canvas or favorites widget, may as well add the 'Characters' edit buffer back to the dialog (with a show/hide option if folks insist).
Comment 2 Commit Notification 2017-08-15 19:12:58 UTC
Akshay Deep committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f9af8a35fc1aad055af2b5e6b6eab45a7d060719

tdf#111337 - Introduce alternative workflows at the special characters dialog

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Heiko Tietze 2017-08-15 19:45:52 UTC
Closing as fixed, ignoring Stuart's hijacking. :-)
(Please open another ticket- but this would likely not get solved in this GSoC project)